#pragma once

#include <vector>

#include <C2/gl/GlslShader.h>

#include <GLUtility/FBORenderBuf.h>



class PostProcBuffer : public FBORenderBuf
{
};


class MultPathRenderBuf
{
public:
	size_t GetNumPath(void) const { return m_PPAry.size(); }
	PostProcBuffer& GetBuf(size_t idx) { return m_PPAry[idx]; }
	const PostProcBuffer& GetBuf(size_t idx) const { return m_PPAry[idx]; }

	void ResizePathCount(size_t num_path);

private:
	boost::ptr_vector<PostProcBuffer> m_PPAry;
};
